Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-45631

Environment Injector Plugin Doesn't work with the Latest Versions of Jenkins

    Details

    • Similar Issues:

      Description

      Recently we have upgraded Jenkins from version 1.632 to 2.60.1 stable version in test instance, also we have updated all the plugins to latest version, environment injector plugin is one of which we have updated from 1.92.1 version to 2.1.3 version, since then we are having trouble using the plugin, is there any workaround for using the plugin in normal way ?

      Note: If i downgrade the plugin to 1.92.1 it works fine.

        Attachments

          Issue Links

            Activity

            Hide
            oleg_nenashev Oleg Nenashev added a comment -

            Please clarify what the issue you have. "doesn't work" is not a bug report.

            https://wiki.jenkins.io/display/JENKINS/How+to+report+an+issue

            Show
            oleg_nenashev Oleg Nenashev added a comment - Please clarify what the issue you have. "doesn't work" is not a bug report. https://wiki.jenkins.io/display/JENKINS/How+to+report+an+issue
            Hide
            navstar3 Naveen Bathula added a comment -

            Hello Oleg Nenashev,

            Here is the issue

            when i sent in the path as "set ANT_HOME=C:\apache-ant-1.8.2" using environment injector plugin, it is avoiding the slash as below and failing the build
            ANT_HOME=C:apache-ant-1.8.2

            Show
            navstar3 Naveen Bathula added a comment - Hello Oleg Nenashev , Here is the issue when i sent in the path as "set ANT_HOME=C:\apache-ant-1.8.2" using environment injector plugin, it is avoiding the slash as below and failing the build ANT_HOME=C:apache-ant-1.8.2
            Hide
            oleg_nenashev Oleg Nenashev added a comment -

            As designed. See JENKINS-31573 and the compatibility notes for 1.93

            Show
            oleg_nenashev Oleg Nenashev added a comment - As designed. See JENKINS-31573 and the compatibility notes for 1.93

              People

              • Assignee:
                oleg_nenashev Oleg Nenashev
                Reporter:
                navstar3 Naveen Bathula
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: